Bug 1553216 (CVE-2018-7755) - CVE-2018-7755 kernel: Information exposure in fd_locked_ioctl function in drivers/block/floppy.c
Summary: CVE-2018-7755 kernel: Information exposure in fd_locked_ioctl function in dri...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-7755
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1553217 1555356 1555419 1555420 1555421
Blocks: 1553219
TreeView+ depends on / blocked
 
Reported: 2018-03-08 14:18 UTC by Pedro Sampaio
Modified: 2019-11-18 07:55 UTC (History)
47 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An issue was discovered in the fd_locked_ioctl function in drivers/block/floppy.c in the Linux kernel. The floppy driver will copy a kernel pointer to user memory in response to the FDGETPRM ioctl. An attacker can send the FDGETPRM ioctl and use the obtained kernel pointer to discover the location of kernel code and data and bypass kernel security protections such as KASLR.
Clone Of:
Environment:
Last Closed: 2019-02-08 16:01:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2029 None None None 2019-08-06 12:03:59 UTC
Red Hat Product Errata RHSA-2019:2043 None None None 2019-08-06 12:06:22 UTC

Description Pedro Sampaio 2018-03-08 14:18:18 UTC
An issue was discovered in the fd_locked_ioctl function in drivers/block/floppy.c in the Linux kernel through 4.15.7. The floppy driver will copy a kernel pointer to user memory in response to the FDGETPRM ioctl. An attacker can send the FDGETPRM ioctl and use the obtained kernel pointer to discover the location of kernel code and data and bypass kernel security protections such as KASLR.

References:

https://lkml.org/lkml/2018/3/7/1116

https://marc.info/?l=linux-kernel&m=152046737321740&w=2

Comment 1 Pedro Sampaio 2018-03-08 14:19:39 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1553217]

Comment 9 errata-xmlrpc 2019-08-06 12:03:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2029 https://access.redhat.com/errata/RHSA-2019:2029

Comment 10 errata-xmlrpc 2019-08-06 12:06:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2043 https://access.redhat.com/errata/RHSA-2019:2043


Note You need to log in before you can comment on or make changes to this bug.